> ## Documentation Index
> Fetch the complete documentation index at: https://www.edenai.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Video Models

> List the video models available in the caller's region.

Each `id` is the `provider/model` value to pass as `model` to POST /v3/videos.



## OpenAPI

````yaml https://api.edenai.run/v3/docs/openapi.json get /v3/videos/models
openapi: 3.1.0
info:
  title: Eden AI API V3
  version: 3.0.0
servers:
  - url: https://api.edenai.run
    description: Production server
security: []
paths:
  /v3/videos/models:
    get:
      tags:
        - Videos
      summary: List Video Models
      description: >-
        List the video models available in the caller's region.


        Each `id` is the `provider/model` value to pass as `model` to POST
        /v3/videos.
      operationId: list_video_models_v3_videos_models_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoModelsResponse'
components:
  schemas:
    VideoModelsResponse:
      properties:
        object:
          type: string
          const: list
          title: Object
          default: list
        data:
          items:
            $ref: '#/components/schemas/VideoModel'
          type: array
          title: Data
      type: object
      required:
        - data
      title: VideoModelsResponse
      description: Video models available in the caller's region.
    VideoModel:
      properties:
        id:
          type: string
          title: Id
          description: '`provider/model` id to pass as `model`.'
        object:
          type: string
          const: model
          title: Object
          default: model
        provider:
          type: string
          title: Provider
        pricing:
          additionalProperties: true
          type: object
          title: Pricing
          description: 'Base price: `price`, `price_unit_quantity`, `price_unit_type`.'
        regions:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Regions
      type: object
      required:
        - id
        - provider
        - pricing
      title: VideoModel
      description: A video model callable through ``POST /v3/videos``.

````